<template>
  <div id="app">
    <router-view :key="$route.fullpath"/>
  </div>
</template>
<script>
export default {
  data() {
    return {
      mytitle: "",
    };
  },
  async created() {
    const imgObj = await this.getIcon();
    this.changIcon(imgObj);
  },
  methods: {
    changIcon(obj) {
      var link =
        document.querySelector("link [rel*='icon']") ||
        document.createElement("link");
      var title =
        document.querySelector("title") || document.createElement("title");
      link.type = "image/x-icon";
      link.rel = "shortcut icon";
      link.href = obj.chromeLinkUrl; //icon图标
      title.innerHTML = obj.title;
      document.getElementsByTagName("head")[0].appendChild(link);
      document.getElementsByTagName("head")[0].appendChild(title);
    },
    // 获取icon
    async getIcon() {
      let result;
      const pic = JSON.parse(sessionStorage.getItem("pic"));
      if (pic) {
        result = pic;
      } else {
        await this.$axios({
          method: "get",
          url: "sccg/system/portal/logo/search",
        }).then((res) => {
          result = res.data;
          sessionStorage.setItem("pic", JSON.stringify(result));
        });
      }
      return result;
    },
  },
};
</script>
<style lang="scss">
body {
  --operation-color: #409eff;
}
.el-select-dropdown__item {
  height: 100% !important;
}

.el-select-dropdown,
.popper-class {
  // background-color: #17324c !important;
}

.el-select-dropdown__item.hover,
.el-select-dropdown__item:hover {
  // background-color: #17324c !important;
}

.el-tree {
  // background-color: #09152f !important;
}

.el-tree-node__content:hover,
.el-upload-list__item:hover {
  // background-color: #09152f !important;
  color: #4b9bb7 !important;
}

.el-tree-node:focus > .el-tree-node__content {
  // background-color: #070f22 !important;
  color: #4b9bb7;
}

.button-addition {
  background-color: #eb5d01;
  border: 1px solid #eb5d01;
  color: #ffffff;
}

/*定义滚动条高宽及背景
 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
  width: 4px;
  height: 4px;
  // background-color: #070f22;
}

/*定义滚动条轨道
 内阴影+圆角*/
::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  // background-color: #070f22;
}

/*定义滑块
 内阴影+圆角*/
::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #555;
}

// 设置dialog样式
.el-dialog__header,
.el-dialog__body {
  // background-color: #06122c;
}
.el-dialog__header {
  display: flex;
  align-items: center;
  background-color: #fff;
  padding: 20px;
  line-height: 60px;
}
.el-dialog__close {
  width: 20px;
  height: 20px;
  // color: #fff;
}

.el-dialog__body {
  padding: 0;
}

#app {
  .userList{
    height: 100%;
    overflow: auto;
  }
  .list{
    height: 100%;
    overflow: auto;
    header{
      background-color: transparent;
      border: none
    }
  }
  // 设置弹出框样式
  .el-dialog__title {
    color: #333;
  }
  .el-dialog__header {
    color: black;
    background-color: #DCDFE6;
    //border: 1px solid #DCDFE6;
  }
  // 设置table样式
  .el-table__empty-block {
    // background-color: #09152f;
  }
  .el-table__empty-block {
    color: #4b9bb7;
  }
  .el-table__empty-text {
    color: #4b9bb7;
  }
  .el-table .warning-row {
    // background: #06122c;
  }
  .el-table .success-row {
    // background: #071f39;
  }
  .el-input__inner {
    // background-color: #09152f;
    // border: 1px solid #17324c;
  }
  .el-textarea__inner {
    // background-color: #09152f;
    // border: 1px solid #17324c;
  }
}
.el-table__body-wrapper::-webkit-scrollbar {
  width: 8px; /*滚动条宽度*/
  height: 8px; /*滚动条高度*/
}
.el-table__body-wrapper::-webkit-scrollbar-track {
  border-radius: 10px; /*滚动条的背景区域的圆角*/
  -webkit-box-shadow: inset 0 0 6px rgba(238, 238, 238, 0.3);
  background-color: #eeeeee; /*滚动条的背景颜色*/
}
.el-table__body-wrapper::-webkit-scrollbar-thumb {
  border-radius: 10px; /*滚动条的圆角*/
  -webkit-box-shadow: inset 0 0 6px rgba(145, 143, 0143, 0.3);
  background-color: rgb(145, 143, 143); /*滚动条的背景颜色*/
}
.el-range-input {
  // background-color: #09152f;
}
</style>
